Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.api.plugin
Class RegistrationIdentifierRequestInfo

    java.lang.Object
      com.bea.wlcp.wlng.api.plugin.RequestInfo
          com.bea.wlcp.wlng.api.plugin.RegistrationIdentifierRequestInfo

public class RegistrationIdentifierRequestInfo
extends RequestInfo

Request info that contain one registration identifier.

  Copyright © 2008 Oracle Corporation Systems, Inc. All Rights Reserved.

Constructor Summary
`RegistrationIdentifierRequestInfo(Class type, Method method, String registrationIdentifier, Object[] args)` Constructor

Method Summary
`String` | `getRegistrationIdentifier()` Gets the registration identifier.
`String` | `toShortString()` Returns a string representing the specifics of the requestInfo For the super class RequestInfo this will be the empty string

Methods inherited from class com.bea.wlcp.wlng.api.plugin.RequestInfo
`getArgument, getArguments, getMethod, getMethodName, getType, isForAllPlugins, setForAllPlugins`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegistrationIdentifierRequestInfo

    public RegistrationIdentifierRequestInfo(Class type,
                                             Method method,
                                             String registrationIdentifier,
                                             Object[] args)

  Constructor

Method Detail

### getRegistrationIdentifier

    public final String getRegistrationIdentifier()

  Gets the registration identifier.

  Returns:
    The registration identifier.

### toShortString

    public String toShortString()

  Returns a string representing the specifics of the requestInfo For the super class RequestInfo this will be the empty string

  Overrides:
    `toShortString` in class `RequestInfo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD